/customFields

List all custom fields.

Custom fields can be used when adding an event, adding a person, or updating a person. The account owner can add/edit/delete custom fields in Follow Up Boss (see using custom fields for more info).

For each custom field the values returned are:

  • label: The label used for this custom field in the Follow Up Boss web and mobile applications.
  • name: The name of this custom field in API responses. This is also name you should use if you wish to update a custom field on a person or send in a custom field with a new lead.
  • type: Currently we support four types of custom fields (text, date, number, dropdown).
  • isRecurring: This boolean is only used for date fields and indicates whether the field is used for recurring dates (e.g., birthdays, anniversaries) or a specific date (e.g., a closing date).
  • choices: If the field is a dropdown, then this list of choices are the only valid values for the custom field.

📘

How to send and reference Custom Fields

When sending custom field data via a POST to /v1/events or a PUT to /v1/people make sure to use the name field returned here. Similarly, this applies to retrieving custom fields from the respective GET requests.

For example, to send a value for a field named "Close Price", use the field name customClosePrice in the request body.

Query Params
int32
Defaults to 10

Number of results to return. Max 100.

int32
Defaults to 0

Specifies the number of rows to skip, before starting to return results.

string

Find custom field by label.

string
enum
Defaults to id (desc)

Sorts results based on the provided field name. Prepending the field with a minus sign (-) sorts the results in descending order.

Allowed:
Response

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json